<?php
/**
 * The template for displaying Comments.
 *
 * The area of the page that contains both current comments
 * and the comment form. The actual display of comments is
 * handled by a callback to kimmia_comment() which is
 * located in the inc/kimmia-functions.php file.
 *
 * @since kimmia 1.0
 */
?>
<div id="comments">
	<h4 class="post-title"><?php comments_number(__('No Comment','kimmia'), __('One Response Comment','kimmia'),__('% Response Comments','kimmia')); ?></h4>
<?php if ( have_comments() ) { ?>
    <ul class="comment-list row-fluid">
        <?php
            /* Loop through and list the comments. Tell wp_list_comments()
             * to use twentyeleven_comment() to format the comments.
             * If you want to overload this in a child theme then you can
             * define kimmia_comment() and that will be used instead.
             * See kimmia_comment() in kimmia/functions.php for more.
             */
            wp_list_comments('type=comment&avatar_size=80&callback=kimmia_comment'); 
        ?>
    </ul>
	<?php 
		// are there comments to navigate through
		if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) {  ?>
		<nav id="comment-nav-above">
			<div class="next-post"><?php next_comments_link( __( 'Newer Comments &rarr;', 'kimmia' ) ); ?></div>
            <div class="pre-post"><?php previous_comments_link( __( '&larr; Older Comments', 'kimmia' ) ); ?></div>
		</nav>
	<?php } ?>
    
<?php
/* If there are no comments and comments are closed, let's leave a little note, shall we?
 * But we don't want the note on pages or post types that do not support comments.
 */
}elseif ( ! comments_open() && ! is_page() && post_type_supports( get_post_type(), 'comments' ) ) {
?>
	<p class="nocomments"><?php _e( 'Comments are closed.', 'kimmia' ); ?></p>
<?php }else { ?>
    <div class="entry-content">
        <p><?php _e( 'You can post first response comment.', 'kimmia' ); ?></p>
    </div>
<?php } ?>
    
	<?php kimmia_comment_form();?>
</div>
