<?php
/**
 * The Header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="main">
 *
 * @since Kimmia 1.0
 */
?>
<!DOCTYPE html>
<!--[if IE 6]>
<html id="ie6" <?php language_attributes(); ?>>
<![endif]-->
<!--[if IE 7]>
<html id="ie7" <?php language_attributes(); ?>>
<![endif]-->
<!--[if IE 8]>
<html id="ie8" <?php language_attributes(); ?>>
<![endif]-->
<!--[if !(IE 6) | !(IE 7) | !(IE 8)  ]><!-->
<html <?php language_attributes(); ?>>
<!--<![endif]-->
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<?php 
global $page, $paged, $post;
// get the current page
$paged = 1;
if (get_query_var('paged')) {
	$paged = get_query_var('paged');
} else if (get_query_var('page')) {
	$paged = get_query_var('page');
}
?>
<title><?php wp_title( '|', true, 'right' ); ?></title>

<!-- Mobile viewport optimized: j.mp/bplateviewport -->
<meta name="viewport" content="width=device-width, initial-scale=1.0" />

<link rel="shortcut icon" href="<?php echo (penguin_get_options_key('favicon') != "") ? penguin_get_options_key('favicon') : get_template_directory_uri()."/images/favicon.png";?>" />

<link rel="profile" href="http://gmpg.org/xfn/11" />
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />

<!--[if IE 7]>
<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/fontawesome/css/font-awesome-ie7.min.css">
<![endif]-->

<!--[if lt IE 9]>
<script src="<?php echo get_template_directory_uri(); ?>/js/html5.js"></script>
<![endif]-->

<?php wp_head(); ?>
</head>

<?php
$layout = penguin_get_options_key('global-layout');
?>

<body <?php body_class(intval($layout) == 0 ? 'wide' : 'boxed'); ?>>
	<div class="wrapper">
        <header class="site-header">
        	<div class="container">
            	<div class="site-header-content row-fluid">
                    <div class="header-logo">
                        <a href="<?php echo home_url(); ?>" title="<?php bloginfo('name'); ?>"><img width="<?php echo penguin_get_options_key('logo-image-width'); ?>" height="<?php echo penguin_get_options_key('logo-image-height'); ?>" src="<?php echo penguin_get_options_key('logo-image'); ?>" alt="<?php bloginfo('name'); ?>" /></a>
                    </div>
<div class="contactus-topsection" style="color:#000;"><img src="http://chairbracket.in/wp-content/uploads/2015/10/phone-icon-new.png"/> Contact Us : +(91)-9920887301</div>
<div class="contactus-belowsection">Proinent  Manufacturers and  Supplies  of  <span style="color:#0f852a;">Chair Bracket</span></div>
                    <div class="header-area-content">
                    <div class=" row-fluid">
                        <div class="header-tools">
                            <?php if(penguin_get_options_key('header-wpml-enable') == "on") { ?>
                            <div class="header-lang"><ul><?php echo penguin_get_wpml_switcher(); ?></ul></div>
                            <?php } ?>
                            <?php if(penguin_get_options_key('header-search-enable') == "on") { ?>
                            <div class="header-search-form">
                                <form role="search" class="searchform" method="get" action="<?php echo esc_url( home_url( '/' ) ); ?>">
                                  <input class="sf-s" name="s" type="text" />
                                  <input class="sf-searchsubmit" type="submit" value="" />
                                </form>
                            </div>
                            <?php } ?>
                            <ul class="inline kimmia-social site-top-social">
                                <?php 
                                    echo penguin_get_social_list(); 
                                    if(penguin_get_options_key('rss-feed') != ""){
                                        echo '<li><a href="'.penguin_get_options_key('rss-feed').'" class="penguin-icon-rss"></a></li>';
                                    }
                                ?>
                                </ul>
                        </div>
                     </div>
                   
                    </div>
                    
                     <!-- mobile show drop select menu -->
                    <div id="kimmia-drop-nav" class="navbar">
                        <div id="kimmia-nav-menu-select" class="navbar-inverse">
                            <button type="button" class="btn btn-navbar collapsed" data-toggle="collapse" data-target=".nav-collapse"><span class="icon-bar"></span><span class="icon-bar"></span><span class="icon-bar"></span></button>
                            <div class="nav-collapse collapse"><ul class="nav"></ul></div>
                        </div>
                    </div>
                    
                     
                </div>

<div class="container" style="border-top:1px solid #ccc;margin-bottom:1em;"></div>

 <div class=" row-fluid">
                        <div class="header-menu">
                            <nav >
                                <?php 
                                    $kimmia_main_menu = array(
                                        'theme_location'  	=> 'kimmia_menu',
                                        'container'			=> false,
                                        'menu_class'    	=> 'kimmia-nav-menu',
                                        'fallback_cb'	  	=> 'kimmia_show_setting_primary_menu'
                                        
                                    ); 
                                    wp_nav_menu($kimmia_main_menu);
                                ?>
                            </nav>
                        </div>
                    </div>
<div class="container" style="border-bottom:1px solid #ccc;margin-top:1em;"></div>
            </div>
        </header>
        <?php 
			// current post, page id
			$post_id = ($post) ? $post->ID : '-1';
			$current_tax = get_query_var('taxonomy');
			if(is_home() && !is_front_page()) $post_id = get_option('page_for_posts');
		?>
        <section class="site-content-wrap">
        	<?php if ( ( ( (is_home() && !is_front_page()) || is_page() || is_single()) && intval(get_post_meta($post_id , 'title-show', true)) == 0)  ) { ?>
        	<header class="site-content-header">
            	<div class="container">
                	<?php 
						$title 	= 	get_post_meta($post_id, 'title-content', true);
						$desc	=	get_post_meta($post_id, 'title-desc', true);
						$enable_breadcrumb	=	get_post_meta($post_id, 'title-breadcrumb', true);
						if($title == ''){ $title = get_the_title($post_id); }
					?>
                	<h1 class="title"><?php echo $title; ?></h1>
                    <?php if($desc != "") { ?>
                    <h4 class="page-desc"><?php echo $desc; ?></h4>
                    <?php } ?>
                    <?php if(intval($enable_breadcrumb) == 0) { ?>
                    <div class="page-breadcrumb">
                        <?php echo kimmia_page_links(); ?>
                    </div>
                    <?php } ?>
                </div>
            </header>
            <?php }else if ( (is_tax() && taxonomy_exists('portfolio_categories') && $current_tax == "portfolio_categories") || is_category() || is_tag() || is_search() || is_date() || is_404() || is_author()) { ?>
            <header class="site-content-header">
            	<div class="container">
                	<h1 class="title"><?php echo kimmia_page_title();?></h1>
                    <div class="page-breadcrumb">
                        <?php 
							echo kimmia_page_links();
							if(is_search()){
								echo '<span class="breadcrumb-right">/</span>';
								printf( __( 'Search Results for "%s"', 'kimmia' ), get_search_query() );
							}
						?>
                    </div>
                </div>
            </header>
            <?php } ?>
            
            <?php if(!(is_category()|| is_tag() || is_404() || is_search() || is_date()) && intval(get_post_meta($post_id , 'slide-type', true)) != 0) { ?>
        	<section class="site-content-slider">
            	<?php if(intval(get_post_meta($post_id , 'slide-type', true)) == 1 && intval(get_post_meta($post_id , 'rev-slide-id', true)) != 0) { ?>
                	<?php echo do_shortcode('[rev_slider '.(intval(get_post_meta($post_id , 'rev-slide-id', true))).']'); ?>
                <?php } ?>
            </section>
            <?php } ?>