<?php
/**
 * Register All Widget
 */
function Kimmia_register_widgets() {
	
	register_widget( 'KimmiaPortfolioCategoryWidget' );
	
	register_widget( 'KimmiaPortfolioRecentItemsWidget' );
	register_widget( 'KimmiaPortfolioCustomItemsWidget' );
	register_widget( 'KimmiaPortfolioHotItemsWidget' );
	
	register_widget( 'KimmiaBlogRecentWidget' );
	register_widget( 'KimmiaBlogCustomItemsWidget' );
	register_widget( 'KimmiaBlogHotItemsWidget' );

}

add_action( 'widgets_init', 'Kimmia_register_widgets' );


/**
 * Portfolio Category Widget
 */
class KimmiaPortfolioCategoryWidget extends WP_Widget {

	function KimmiaPortfolioCategoryWidget() {
		// Instantiate the parent object
		parent::__construct( false, __('Kimmia Portfolio Category','kimmia'), array( 'description' => __( 'Kimmia portfolio categories! ', 'kimmia' )));
	}

	function widget( $args, $instance ) {
		// Widget output
		extract( $args );
		
		$title = apply_filters('widget_title', $instance['title'] );
		
		echo $before_widget;
		
		if ( $title ) {
		    echo $before_title . $title . $after_title;
		}
		
		echo penguin_get_portfolio_categories();
		
		echo $after_widget;
	}

	function update( $new_instance, $old_instance ) {
		// Save widget options
		$instance = $old_instance;
		$instance['title'] = strip_tags($new_instance['title']);
		return $instance;
	}

	function form( $instance ) {
		// Output admin widget options form
		if( isset($instance['title']) ){
			$title = $instance['title'];
		}else{
			$title = __('Categories','kimmia');
		}
		?>
		<p>
		<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Title:' , 'kimmia'); ?></label> 
		<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" />
		</p>
        <?php
	}
}

/**
 * Portfolio Recent Items Widget
 */
class KimmiaPortfolioRecentItemsWidget extends WP_Widget {

	function KimmiaPortfolioRecentItemsWidget() {
		// Instantiate the parent object
		parent::__construct( false, __('Kimmia Portfolio Recent Items','kimmia'), array( 'description' => __( 'Kimmia portfolio recent items widget! ', 'kimmia' )));
	}

	function widget( $args, $instance ) {
		// Widget output
		extract( $args );
		
		$title			= 	apply_filters('widget_title', $instance['title'] );
		$recent_number	= 	apply_filters('widget_title', $instance['recent_number'] );
		
		echo $before_widget;
		
		if ( $title ) echo $before_title . $title . $after_title;
		
		echo '<div class="kimmia-recent-portfolios">'.penguin_get_portfolio_widget_post('recent',$recent_number,'',false, 1).'</div>';
		
		echo $after_widget;
	}

	function update( $new_instance, $old_instance ) {
		// Save widget options
		$instance = $old_instance;
		$instance['title'] = strip_tags($new_instance['title']);
		$instance['recent_number'] = strip_tags($new_instance['recent_number']);
		return $instance;
	}

	function form( $instance ) {
		// Output admin widget options form
		if( isset($instance['title']) ){
			$title = $instance['title'];
		}else{
			$title = "";
		}

		if( isset($instance['recent_number']) ){
			$recent_number = intval($instance['recent_number']);
		}else{
			$recent_number = 5;
		}
		?>
		<p>
		<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Title:' , 'kimmia'); ?></label> 
		<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" />
		</p>
        <p>
        <label for="<?php echo $this->get_field_id( 'recent_number' ); ?>"><?php _e( 'Show Items number' , 'kimmia'); ?></label> 
		<input class="widefat" id="<?php echo $this->get_field_id( 'recent_number' ); ?>" name="<?php echo $this->get_field_name( 'recent_number' ); ?>" value="<?php echo esc_attr( $recent_number ); ?>" ?>
		</p>
        <?php
	}
}

/**
 * Portfolio Custom Items Widget
 */
class KimmiaPortfolioCustomItemsWidget extends WP_Widget {

	function KimmiaPortfolioCustomItemsWidget() {
		// Instantiate the parent object
		parent::__construct( false, __('Kimmia Portfolio Custom Items','kimmia'), array( 'description' => __( 'Kimmia portfolio custom items for hot, features items! ', 'kimmia' )));
	}

	function widget( $args, $instance ) {
		// Widget output
		extract( $args );
		
		$title			= 	apply_filters('widget_title', $instance['title'] );
		$featured_ids	= 	apply_filters('widget_title', $instance['featured_ids'] );
		
		echo $before_widget;
		
		if ( $title ) echo $before_title . $title . $after_title;
		
		echo '<div class="kimmia-recent-portfolios">'.penguin_get_portfolio_widget_post('featured','',$featured_ids , false).'</div>';
		
		echo $after_widget;
	}

	function update( $new_instance, $old_instance ) {
		// Save widget options
		$instance = $old_instance;
		$instance['title'] = strip_tags($new_instance['title']);
		$instance['featured_ids'] = strip_tags($new_instance['featured_ids']);
		return $instance;
	}

	function form( $instance ) {
		// Output admin widget options form
		if( isset($instance['title']) ){
			$title = $instance['title'];
		}else{
			$title = "";
		}

		if( isset($instance['featured_ids']) ){
			$featured_ids = $instance['featured_ids'];
		}else{
			$featured_ids = "";
		}
		
		?>
		<p>
		<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Title:' , 'kimmia'); ?></label> 
		<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" />
		</p>
        <p>
		<label for="<?php echo $this->get_field_id( 'featured_ids' ); ?>"><?php _e( 'Features Item Id with ",' , 'kimmia'); ?></label> 
		<input class="widefat" id="<?php echo $this->get_field_id( 'featured_ids' ); ?>" name="<?php echo $this->get_field_name( 'featured_ids' ); ?>" type="text" value="<?php echo esc_attr( $featured_ids ); ?>" />
		</p>
        <?php
	}
}

/**
 * Portfolio Hot Items Widget
 */
class KimmiaPortfolioHotItemsWidget extends WP_Widget {

	function KimmiaPortfolioHotItemsWidget() {
		// Instantiate the parent object
		parent::__construct( false, __('Kimmia Portfolio Hot Items','kimmia'), array( 'description' => __( 'Kimmia portfolio hot items widget! ', 'kimmia' )));
	}

	function widget( $args, $instance ) {
		// Widget output
		extract( $args );
		
		$title			= 	apply_filters('widget_title', $instance['title'] );
		$popular_number	= 	apply_filters('widget_title', $instance['popular_number'] );
		
		echo $before_widget;
		
		if ( $title ) echo $before_title . $title . $after_title;
		
		echo '<div class="kimmia-recent-portfolios">'.penguin_get_portfolio_widget_post('popular',$popular_number,'',false, 1).'</div>';
		
		echo $after_widget;
	}

	function update( $new_instance, $old_instance ) {
		// Save widget options
		$instance = $old_instance;
		$instance['title'] = strip_tags($new_instance['title']);
		$instance['popular_number'] = strip_tags($new_instance['popular_number']);
		return $instance;
	}

	function form( $instance ) {
		// Output admin widget options form
		if( isset($instance['title']) ){
			$title = $instance['title'];
		}else{
			$title = "";
		}

		if( isset($instance['popular_number']) ){
			$popular_number = intval($instance['popular_number']);
		}else{
			$popular_number = 5;
		}
		?>
		<p>
		<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Title:' , 'kimmia'); ?></label> 
		<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" />
		</p>
        <p>
        <label for="<?php echo $this->get_field_id( 'popular_number' ); ?>"><?php _e( 'Show Items number' , 'kimmia'); ?></label> 
		<input class="widefat" id="<?php echo $this->get_field_id( 'popular_number' ); ?>" name="<?php echo $this->get_field_name( 'popular_number' ); ?>" value="<?php echo esc_attr( $popular_number ); ?>" ?>
		</p>
        <?php
	}
}


/**
 * Blog Recent Items Widget
 */
class KimmiaBlogRecentWidget extends WP_Widget {

	function KimmiaBlogRecentWidget() {
		// Instantiate the parent object
		parent::__construct( false, __('Kimmia Blog Recent Items','kimmia'), array( 'description' => __( 'Kimmia blog recent items widget! ', 'kimmia' )));
	}

	function widget( $args, $instance ) {
		// Widget output
		extract( $args );
		
		$title			= 	apply_filters('widget_title', $instance['title'] );
		$recent_number	= 	apply_filters('widget_title', $instance['recent_number'] );
		
		echo $before_widget;
		
		if ( $title ) echo $before_title . $title . $after_title;
		
		echo '<div class="kimmia-recent-portfolios">'.penguin_get_blog_widget_post('recent',$recent_number,'',false, 1).'</div>';
		
		echo $after_widget;
	}

	function update( $new_instance, $old_instance ) {
		// Save widget options
		$instance = $old_instance;
		$instance['title'] = strip_tags($new_instance['title']);
		$instance['recent_number'] = strip_tags($new_instance['recent_number']);
		return $instance;
	}

	function form( $instance ) {
		// Output admin widget options form
		if( isset($instance['title']) ){
			$title = $instance['title'];
		}else{
			$title = "";
		}

		if( isset($instance['recent_number']) ){
			$recent_number = intval($instance['recent_number']);
		}else{
			$recent_number = 5;
		}
		?>
		<p>
		<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Title:' , 'kimmia'); ?></label> 
		<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" />
		</p>
        <p>
        <label for="<?php echo $this->get_field_id( 'recent_number' ); ?>"><?php _e( 'Show Items number' , 'kimmia'); ?></label> 
		<input class="widefat" id="<?php echo $this->get_field_id( 'recent_number' ); ?>" name="<?php echo $this->get_field_name( 'recent_number' ); ?>" value="<?php echo esc_attr( $recent_number ); ?>" ?>
		</p>
        <?php
	}
}

/**
 * Blog Custom Items Widget
 */
class KimmiaBlogCustomItemsWidget extends WP_Widget {

	function KimmiaBlogCustomItemsWidget() {
		// Instantiate the parent object
		parent::__construct( false, __('Kimmia Blog Custom Items','kimmia'), array( 'description' => __( 'Kimmia blog custom items for hot, features items! ', 'kimmia' )));
	}

	function widget( $args, $instance ) {
		// Widget output
		extract( $args );
		
		$title			= 	apply_filters('widget_title', $instance['title'] );
		$featured_ids	= 	apply_filters('widget_title', $instance['featured_ids'] );
		
		echo $before_widget;
		
		if ( $title ) echo $before_title . $title . $after_title;
		
		echo '<div class="kimmia-recent-portfolios">'.penguin_get_blog_widget_post('featured','',$featured_ids , false).'</div>';
		
		echo $after_widget;
	}

	function update( $new_instance, $old_instance ) {
		// Save widget options
		$instance = $old_instance;
		$instance['title'] = strip_tags($new_instance['title']);
		$instance['featured_ids'] = strip_tags($new_instance['featured_ids']);
		return $instance;
	}

	function form( $instance ) {
		// Output admin widget options form
		if( isset($instance['title']) ){
			$title = $instance['title'];
		}else{
			$title = "";
		}

		if( isset($instance['featured_ids']) ){
			$featured_ids = $instance['featured_ids'];
		}else{
			$featured_ids = "";
		}
		
		?>
		<p>
		<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Title:' , 'kimmia'); ?></label> 
		<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" />
		</p>
        <p>
		<label for="<?php echo $this->get_field_id( 'featured_ids' ); ?>"><?php _e( 'Features Item Id with ",' , 'kimmia'); ?></label> 
		<input class="widefat" id="<?php echo $this->get_field_id( 'featured_ids' ); ?>" name="<?php echo $this->get_field_name( 'featured_ids' ); ?>" type="text" value="<?php echo esc_attr( $featured_ids ); ?>" />
		</p>
        <?php
	}
}


/**
 * Blog Hot Items Widget
 */
class KimmiaBlogHotItemsWidget extends WP_Widget {

	function KimmiaBlogHotItemsWidget() {
		// Instantiate the parent object
		parent::__construct( false, __('Kimmia Blog Hot Items','kimmia'), array( 'description' => __( 'Kimmia blog hot items widget! ', 'kimmia' )));
	}

	function widget( $args, $instance ) {
		// Widget output
		extract( $args );
		
		$title			= 	apply_filters('widget_title', $instance['title'] );
		$popular_number	= 	apply_filters('widget_title', $instance['popular_number'] );
		
		echo $before_widget;
		
		if ( $title ) echo $before_title . $title . $after_title;
		
		echo '<div class="kimmia-recent-portfolios">'.penguin_get_blog_widget_post('popular',$popular_number,'',false, 1).'</div>';
		
		echo $after_widget;
	}

	function update( $new_instance, $old_instance ) {
		// Save widget options
		$instance = $old_instance;
		$instance['title'] = strip_tags($new_instance['title']);
		$instance['popular_number'] = strip_tags($new_instance['popular_number']);
		return $instance;
	}

	function form( $instance ) {
		// Output admin widget options form
		if( isset($instance['title']) ){
			$title = $instance['title'];
		}else{
			$title = "";
		}

		if( isset($instance['popular_number']) ){
			$popular_number = intval($instance['popular_number']);
		}else{
			$popular_number = 5;
		}
		?>
		<p>
		<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Title:' , 'kimmia'); ?></label> 
		<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" />
		</p>
        <p>
        <label for="<?php echo $this->get_field_id( 'popular_number' ); ?>"><?php _e( 'Show Items number' , 'kimmia'); ?></label> 
		<input class="widefat" id="<?php echo $this->get_field_id( 'popular_number' ); ?>" name="<?php echo $this->get_field_name( 'popular_number' ); ?>" value="<?php echo esc_attr( $popular_number ); ?>" ?>
		</p>
        <?php
	}
}