<?php
/**
 * Single Post Content
 *
 * @since kimmia 1.0
 */
get_header();
$layout = penguin_get_page_layout(); // get page layout 
$sidebar_name = get_post_meta(get_the_ID(), 'sidebar-type', true);

// get blog default sidebar
if($sidebar_name == "Global Sidebar"){
	$blog_page_id = get_option('page_for_posts');
	if(intval($blog_page_id) != 0){
		$sidebar_name = get_post_meta($blog_page_id, 'sidebar-type', true);
	}
}

?>
<section class="site-content">
    <div class="container">
        <div class="row-fluid">
        	<?php if($layout == 2) { ?> 
                <div class="span4"><?php generated_dynamic_sidebar($sidebar_name); ?></div>
            <?php } ?>
                <div class="<?php echo $layout == 1 ? 'span12' : 'span8'; ?>">
				<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
                	<article id="post-<?php the_ID(); ?>" <?php post_class('entry-single-post row-fluid');?> >
                    	<div class="post-element-content row-fluid">
						<?php if(get_post_format() == "image"){ ?>
                            <?php if(has_post_thumbnail(get_the_ID())) { ?>
                            <div class="single-post-img">
                            <?php $full_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'full'); ?>
                            <a href="<?php echo $full_image[0]; ?>" class="fancyBox"><?php echo get_the_post_thumbnail(get_the_ID(), "post-thumbnail" , array('alt' => get_the_title(),'title' => '')); ?></a>
                            </div>
                            <?php } ?>
                        <?php }else if(get_post_format() == "gallery"){ ?>
                            <div class="flexslider kimmia-fl post-gallery">
                                <ul class="slides">
                                <?php 
                                    $attachment_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'post-thumbnail'); 
                                    $full_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'full'); 
                                ?>
                                    <li>
                                        <a href="<?php echo $full_image[0]; ?>" class="fancybox-thumb" rel="fancybox-thumb[<?php echo get_the_ID(); ?>]"><img src="<?php echo $attachment_image[0]; ?>" alt=""></a>
                                    </li>
                                    <?php echo penguin_get_attachments(get_the_ID() , array() , 'post-thumbnail' , true , true); ?>
                                </ul>
                            </div>
                         <?php }else if(get_post_format() == "audio"){ ?>
                            <?php
                               $audio_type 		= get_post_meta(get_the_ID(), 'audio-type', true);
                               $audio_content 	= get_post_meta(get_the_ID(), 'audio-content', true);
                               if($audio_content && $audio_content != ''){
                            ?>
                            <div class="post-audio">
                            <?php
                                   if(intval($audio_type) == 0){
                                     echo do_shortcode('[soundcloud url="'.$audio_content.'"]');
                                   }else{
                                       echo $audio_content;
                                   }
                            ?>
                            </div>
                            <?php
                               }
                            ?>
                         <?php }else if(get_post_format() == "video"){ ?>
                            <?php
                                $video_type 		= get_post_meta(get_the_ID(), 'video-type', true);
                                $video_content 	= get_post_meta(get_the_ID(), 'video-content', true);
                                if($video_content && $video_content != ''){
                            ?>
                                <div class="post-video">
                                <?php
                                    if(intval($video_type) == 0){
                                        echo do_shortcode('[youtube id="'.$video_content.'" width="100%" height="300"]');
                                    }else if(intval($video_type) == 1){
                                        echo do_shortcode('[vimeo id="'.$video_content.'" width="100%" height="300"]');
                                    }else{
                                       echo $video_content;
                                    }
                                ?>
                                </div>
                            	<?php } ?>
                            <?php }else if(get_post_format() == "quote"){ ?>
                             	<div class="post-quote">
                                    <span class="post-quote-icon"><i class="icon-quote-right"></i></span>
                                    <?php echo get_the_content(); ?>
                                </div>
                            <?php } ?>
                        </div>
                    	<header class="single-post-header">
                        	<h3 class="entry-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                			<div class="post-meta"><?php echo __('Posted on ', 'kimmia'); ?><a title="<?php echo __('Permalink to ', 'kimmia').get_the_title();?>" href="<?php echo get_permalink(); ?>"><?php echo get_the_date('M-d-Y'); ?></a><?php echo __(' by ', 'kimmia'); ?><?php the_author_posts_link();?><?php echo __(' wrote in ', 'kimmia'); ?><span><?php 	$categories = get_the_category();
                                    $seperator = ' , ';
                                    $output = '';
									$slugs = '';
                                    if($categories){
                                        foreach($categories as $category) {
											if($slugs != ''){ $slugs .= ',';}
											$slugs .= $category->term_id;
                                            $output .= '<a href="'.get_category_link($category->term_id ).'" title="' . esc_attr( sprintf( __( "View all posts in %s",'kimmia'), $category->name ) ) . '">'.$category->cat_name.'</a>'.$seperator;
                                        }
                                    echo trim($output, $seperator);
                                    }
                         ?></span>.It has <a href="<?php echo get_permalink(get_the_ID()).'#comments'; ?>"><?php comments_number(__('0 Comment' , 'kimmia') , __('1 Comment' , 'kimmia') , __('% Comments' , 'kimmia')); ?></a>.<?php edit_post_link(__(' <i class="icon-edit"></i> Edit', 'kimmia'), '', ''); ?></div>
                        </header>
                        <div class="entry-content">
                        	<?php if(get_post_format() != "quote"){ ?>
                    		<?php the_content(); ?>
                            <?php wp_link_pages(); ?>
                            <?php } ?>
                        </div>
                        <div class="single-post-tags-share row-fluid">
							<?php
                            $tags = get_the_tags(); 
                            if($tags && count($tags) > 0) {
                            ?>
                            <div class="post-tags">
                                <span>Tags: <?php the_tags('',' , ','');?></span>
                            </div>
                            <?php } ?>
                            <?php if(intval(penguin_get_options_key('blog-share-type')) != 0) { ?>
                            <div class="post-share">
                            	<?php if(intval(penguin_get_options_key('blog-share-type')) == 1) { ?>
                                <!-- AddThis Button BEGIN -->
                                <div class="addthis_toolbox addthis_default_style ">
                                <a class="addthis_counter addthis_pill_style"></a>
                                </div>
                                <script type="text/javascript">var addthis_config = {"data_track_addressbar":true};</script>
                                <script type="text/javascript" src="//s7.addthis.com/js/300/addthis_widget.js#pubid=kimmiatheme"></script>
                                <!-- AddThis Button END -->
                                <?php }else{ ?>
                                <?php echo penguin_get_options_key('blog-share-code'); ?>
                                <?php } ?>
                            </div>
                            <?php } ?>
                        </div>
                        <?php if(penguin_get_options_key('blog-enable-author') == 'on') { ?>
                        <div class="row-fluid">
                        <div class="post-author">
							<?php $author_info = get_userdata($post->post_author);?>
                        	<?php echo get_avatar($author_info->ID, 80 ); ?>
                            <h5 class="author-name"><?php echo __('Wrote by ', 'kimmia'); ?><?php the_author_posts_link();?></h5>
                            <div class="author-desc">
                            <?php echo $author_info->user_description; ?>
                            </div>
                        </div>
                        </div>
                        <?php } ?>
                        <?php if(penguin_get_options_key('blog-enable-related') == 'on') { ?>
                        <div class="row-fluid">
                        	 <h4 class="post-title"><?php _e('Reteled Posts','kimmia'); ?></h4>
                             <div class="post-related">
                             <?php echo penguin_get_blog_related_post($slugs,get_the_ID(),3,3,'rand'); ?>
                             </div>
                        </div>
                        <?php } ?>
                        <div class="row-fluid">
                        	<?php comments_template(); ?>
                        </div>
                    </article>
                <?php endwhile; 
					kimmia_single_content_nav('single-nav-bottom' , 'single-pagination row-fluid');
					else: 
				?>
                	<article id="post-0" <?php post_class();?> >
                    <p><?php _e('Sorry, this page does not exist.' , 'kimmia' ); ?></p>
                    </article>
                <?php endif; ?>
    		</div>
            <?php if($layout == 3) { ?> 
                <div class="span4"><?php generated_dynamic_sidebar($sidebar_name); ?></div>
            <?php } ?>
        </div>
    </div>
</section>

<?php get_footer(); ?>